Subject: bug#7444: closed (Re: [PATCH] date: reinstate the --iso-8601 (-I) option)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 28 Oct 2011 15:46:02 +0000

Your bug report

#7444: Undocumented option -I ?

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
7444: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=7444
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH] date: reinstate the --iso-8601 (-I) option
From: Jim Meyering <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Fri, 28 Oct 2011 17:43:05 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Jim Meyering wrote:
> Now that date can finally parse the output of date --iso-8601 (-I),
> it's only fair to un-deprecate it and restore its documentation:
>
> Subject: [PATCH] date: reinstate the --iso-8601 (-I) option
>
> We deprecated and undocumented the --iso-8601 (-I) option mostly
> because date could not parse that particular format.  Now that
> it can, it's time to restore the documentation.
> * src/date.c (usage): Document it.
> * doc/coreutils.texi (Options for date): Reinstate documentation.
> Reported by Hubert Depesz Lubaczewski in http://bugs.gnu.org/7444.

Pushed, hence closing this.

Subject: Undocumented option -I ?
From: hubert depesz lubaczewski <[email-masked]>
To: [email-masked]
Date: Fri, 19 Nov 2010 14:52:53 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,
apparently
(http://www.commandlinefu.com/commands/view/7110/monitor-a-file-with-tail-with-timestamps-added)
date supports -I switch, but it's undocumented.

I found it in sources, and it seems to be related to iso format, but
still - adding it to documentation would be nice.

Best regards,

depesz

-- 
Linkedin: http://www.linkedin.com/in/depesz  /  blog: http://www.depesz.com/
jid/gtalk: [email-masked] / aim:depeszhdl / skype:depesz_hdl / gg:6749007